;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian xtla package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The xtla package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name flavor)
                           "/site-lisp/xtla")))
  (when (file-directory-p package-dir)
        (setq load-path (cons package-dir load-path))))

(let ((package-dir (concat "/usr/share/"
                           (symbol-name flavor)
                           "/site-lisp/xtla/contrib")))
  (when (file-directory-p package-dir)
        (setq load-path (append load-path (list package-dir)))))

(cond ((featurep 'xemacs )
       (require 'xtla-autoloads "xtla-xemacs-autoloads"))
      ((< emacs-major-version 22)
       (require 'xtla-autoloads "xtla-emacs21-autoloads"))
      (t
       (require 'xtla-autoloads)))

;; arch-tag: b830ba37-94bb-4e8b-9086-aefb7128c3e3
